ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

PIC

# Documentation

cmmMakeDynamicReference :: CmmMakeDynamicReferenceM m => DynFlags -> ReferenceKind -> CLabel -> m CmmExpr Source

class Monad m => CmmMakeDynamicReferenceM m where Source

Methods

addImport :: CLabel -> m () Source

getThisModule :: m Module Source

Instances

CmmMakeDynamicReferenceM NatM |

data ReferenceKind Source

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind |

needImportedSymbols :: DynFlags -> Arch -> OS -> Bool Source

pprImportedSymbol :: DynFlags -> Platform -> CLabel -> SDoc Source

pprGotDeclaration :: DynFlags -> Arch -> OS -> SDoc Source

initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmDecl CmmStatics Instr] -> NatM [NatCmmDecl CmmStatics Instr] Source

initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmDecl (Alignment, CmmStatics) Instr] -> NatM [NatCmmDecl (Alignment, CmmStatics) Instr] Source